@import "../../assets/scss/global";

.outstanding-feature-wrapper {
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-top: 70px;
    @include largeScreen {
        margin-top: 0;
        background: url("/images/home/outstanding-feature/bg-feature.png") no-repeat left 29.5vw bottom 27%;
    }

    @include wideScreen {
        background: url("/images/home/outstanding-feature/bg-feature.png") no-repeat left 36vw bottom 27%;
    }

    [class="container"] {
        display: flex;
        width: 100%;
    }

    h3 {
        font-size: 16px;
        text-transform: initial;
        color: $secondary-color;

        @include largeScreen {
            font-size: 24px;
            text-transform: uppercase;
        }
    }

    h2 {
        text-align: center;
        font-size: 20px;
        line-height: 30px;
        width: 78%;
        font-weight: 600;

        @include largeScreen {
            font-size: 32px;
            line-height: 48px;
            font-weight: 700;
            max-width: 621px;
        }
    }


    [class~="slider-control-topleft"] {
        padding-left: 1.5rem;
        top: 20px !important;
    }

    .dot-wrapper {
        display: flex;
        column-gap: 5px;

        .dot-item {
            height: 8px;
            width: 8px;
            background: #FFBEAF;
            border-radius: 100%;
            box-sizing: border-box;
        }

        .active {
            width: 40px;
            border-radius: 4px;
            background: $primary-color;
        }

        .secondary-ative{
            background: $secondary-color;
        }
    }

    .feature-tabs {
        display: flex;
        width: 100%;
        margin-top: 40px;

        [class~="slide-current"] {
            padding: 0 20px;
        }

        [class~="slider-list"] {
            margin: 40px -20px !important;
        }

        @include largeScreen {
            margin-top: initial;
        }

        .item {
            position: relative;
            display: flex;
            background: $primary-color3;
            color: $primary-color;
            border: 0;
            height: 68px;
            width: 240px;
            align-items: center;
            font-size: 20px;
            line-height: 24px;
            margin: 20px 0;
            font-weight: 600;
            border-radius: 16px;
            padding: 0 20px 0 0;
            text-transform: capitalize;

            @include largeScreen {
                opacity: 0.5;
                margin: initial;
                color: initial;
                background: transparent;
                width: initial;
            }

            &.secondary{
                background-color: $secondary-color3;
            }

            &.secondary-name{
                color: $secondary-color;
            }

            div {
                margin-right: 30px;
                display: flex;
                justify-content: center;
                align-items: center;
                height: 68px;
                width: 68px;
                box-shadow: 0px 4px 20px rgba(76, 95, 168, 0.1);
                background: #FFFFFF;
                border-radius: 50px;

                @include largeScreen {
                    background: initial;
                    box-shadow: initial;
                    border-radius: initial;
                }

                img{
                    width: 68px !important;

                    margin: 0 !important;
                }

                svg {
                    border-radius: 16px;
                    width: 64px;
                    height: 64px;
                }
            }
        }


        .tabs {
            display: flex;
            width: 100%;
            flex-direction: column;
            align-items: center;
            column-gap: 6%;
            @include largeScreen {
                height: 750px;
                flex-direction: row;
            }

            .tab-items {
                position: relative;
                display: flex;
                row-gap: 40px;
                width: 100%;
                flex-direction: row;
                overflow-x: auto;
                border-right: 4px solid #F7F8FC;

                @include largeScreen {
                    width: 25%;
                    overflow-x: initial;
                    flex-direction: column;
                }

                .tab-active{
                    position: absolute;
                    height: 68px;
                    width: calc(100% - 35px);
                    right: 0;
                    font-weight: 600;
                    opacity: 1;
                    background: $primary-color3;
                    transition: top .3s;

                    &::after {
                        content: "";
                        position: absolute;
                        top: 0;
                        right: -4px;
                        width: 4px;
                        height: 68px;
                        background-color: $primary-color;
                        border-radius: 4px;
                    }

                    &.secondary{
                        background: $secondary-color3;

                        &:after{
                            background-color: $secondary-color;
                        }
                    }
                }

                .active {
                    margin-right: 20px;
                    font-weight: 600;
                    opacity: 1;
                    border-radius: 16px;
                    color: $primary-color;
                    transition: all .35s;

                    &::after {
                        content: "";
                        position: absolute;
                        right: 0;
                        width: 4px;
                        height: 46px;
                        // background-color: red;
                    }

                    div {
                        background: white;
                        border-radius: 50px;

                        svg{
                            width: 64px;
                            height: 64px;
                        }
                    }
                }

                .secondary-name{
                    color: $secondary-color;
                }
            }

            .tab-content {
                display: flex;
                width: 100%;
                height: 100%;
                align-items: center;
                justify-content: center;
                @include largeScreen {
                    width: 80%;
                }

                img {
                    height: auto;
                    width: 100%;
                    
                    margin-bottom: 30px;

                    @include largeScreen{
                        margin-bottom: 0;
                    }
                }

                .content-wrapper {
                    position: relative;
                    display: initial;
                    @include largeScreen {
                        display: none;
                    }

                    img {
                        height: auto;
                        width: 100%;
                    }

                    .description-group {
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        min-height: 80px;
                        padding: 12px 16px;
                        box-sizing: border-box;
                        background: #FFFFFF;
                        //carousel lag because shadow
                        box-shadow: 0px 4px 20px rgba(76, 95, 168, 0.1);
                        border-radius: 24px;
                        font-size: 16px;
                        width: 100%;
                        margin-bottom: 20px;
                        @include largeScreen {
                            width: 268px;
                            margin: initial;
                        }

                        span {
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            width: 56px;
                            height: 56px;
                            box-sizing: border-box;
                            background: #FF6337;;
                            border: 1px solid rgba(255, 255, 255, 0.25);
                            //carousel lag because shadow
                            box-shadow: 8px 8px 24px rgba(248, 76, 38, 0.2);
                            border-radius: 16px;
                            margin-right: 16px;

                            @include largeScreen {
                                width: 56px;
                                margin-right: 16px;
                            }

                            p {
                                display: flex;
                                justify-content: center;
                                align-items: center;
                                width: 30px;
                                height: 30px;
                                font-weight: 900;;
                                border-radius: 100%;
                                background-color: white;
                                color: $primary-color;
                            }
                        }

                        .description {
                            width: 70%;
                        }

                        &.secondary-group{
                            span{
                                background-color: $secondary-color;
                                box-shadow: 8px 8px 24px rgba(115, 93, 254, 0.2);

                                p{
                                    color: $secondary-color;
                                }
                            }
                        }
                    }
                }

                .active {
                    display: flex;
                }

                .number1 {
                    @include largeScreen {
                        top: -15px;
                        left: -10%;
                        position: absolute;
                    }
                }

                .number2 {
                    @include largeScreen {
                        top: 30%;
                        left: -5%;
                        transform: translateY(-50%);
                        position: absolute;
                    }
                }

                .number3 {
                    @include largeScreen {
                        bottom: 5px;
                        left: 1%;
                        position: absolute;
                    }
                }

                .number4 {
                    @include largeScreen {
                        top: -15px;
                        right: 5%;
                        position: absolute;
                    }
                }

                .number5 {
                    @include largeScreen {
                        right: 1%;
                        transform: translateY(-50%);
                        top: 50%;
                        position: absolute;
                    }
                }

                .number6 {
                    @include largeScreen {
                        bottom: 0;
                        right: -5%;
                        position: absolute;
                    }
                }

                .number7 {
                    @include largeScreen {
                        top: 20%;
                        left: -15%;
                        position: absolute;
                    }
                }

                .number8 {
                    @include largeScreen {
                        position: absolute;
                        left: -10%;
                        top: 47%;
                    }
                }

                .number9 {
                    @include largeScreen {
                        position: absolute;
                        left: -5%;
                        top: 80%;
                    }
                }

                .number10 {
                    @include largeScreen {
                        top: 0;
                        right: 0;
                        position: absolute;
                    }
                }

                .number11 {
                    @include largeScreen {
                        top: 30%;
                        right: -5%;
                        position: absolute;
                    }
                }

                .number12 {
                    @include largeScreen {
                        top: 60%;
                        right: -10%;
                        position: absolute;
                    }
                }

                .number13 {
                    @include largeScreen {
                        top: 20%;
                        left: 0;
                        position: absolute;
                    }
                }

                .number14 {
                    @include largeScreen {
                        position: absolute;
                        left: -12%;
                        top: 45%;
                    }
                }

                .number15 {
                    @include largeScreen {
                        top: 10%;
                        right: -12%;
                        position: absolute;
                    }
                }

                .number16 {
                    @include largeScreen {
                        top: 35%;
                        right: -2%;
                        position: absolute;
                    }
                }

                .number17 {
                    @include largeScreen {
                        top: 25%;
                        left: -15%;
                        position: absolute;
                    }
                }

                .number18 {
                    @include largeScreen {
                        left: -5%;
                        top: 47%;
                        position: absolute;
                    }
                }

                .number19 {
                    @include largeScreen {
                        left: 5%;
                        top: 77%;
                        position: absolute;
                    }
                }

                .number20 {
                    @include largeScreen {
                        position: absolute;
                        right: 0;
                        top: 20%;
                    }
                }

                .number21 {
                    @include largeScreen {
                        position: absolute;
                        right: -7%;
                        top: 48%;
                    }
                }

                .number22 {
                    @include largeScreen {
                        position: absolute;
                        right: -14%;
                        top: 71%;
                    }
                }

                .number23 {
                    @include largeScreen {
                        top: 3%;
                        left: -12%;
                        position: absolute;
                    }
                }

                .number24 {
                    @include largeScreen {
                        position: absolute;
                        top: 60%;
                        left: -8%;
                    }
                }

                .number25 {
                    @include largeScreen {
                        position: absolute;
                        top: 82%;
                        left: 6%;
                    }
                }

                .number26 {
                    @include largeScreen {
                        top: 3%;
                        right: -12%;
                        position: absolute;
                    }
                }

                .number27 {
                    @include largeScreen {
                        position: absolute;
                        top: 60%;
                        right: -8%;
                    }
                }

                .number28 {
                    @include largeScreen {
                        position: absolute;
                        right: 6%;
                        top: 82%;
                    }
                }
            }
        }
    }
}